net.snowflake.client.jdbc.cloud.storage

## Class StorageProviderException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - net.snowflake.client.jdbc.cloud.storage.StorageProviderException

All Implemented Interfaces:
  Serializable

    public class StorageProviderException
    extends RuntimeException

Custom exception class to signal a remote provider exception in a platform-independent manner.

Author:
  lgiakoumakis
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`StorageProviderException(Exception ex)` Constructor that accepts an arbitrary Exception.

### Method Summary

All Methods Instance Methods Concrete Methods
`Exception` `getOriginalProviderException()` Method to obtain the original provider exception that led to this exception being thrown.
`boolean` `isServiceException404()` Returns true if this is an exception corresponding to a HTTP 404 error returned by the storage provider

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### StorageProviderException

    public StorageProviderException(Exception ex)

Constructor that accepts an arbitrary Exception.

Parameters:
  `ex` - An Exception to be treated as transient.

### Method Detail

#### getOriginalProviderException

    public Exception getOriginalProviderException()

Method to obtain the original provider exception that led to this exception being thrown.

Returns:
  The original provider exception that led to this exception.

#### isServiceException404

    public boolean isServiceException404()

Returns true if this is an exception corresponding to a HTTP 404 error returned by the storage provider

Returns:
  true if the specified exception is an AmazonServiceException instance and if it was thrown because of a 404, false otherwise.